using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class VehicleEnrollment : EntityBase
{
    public DateTime DepartureDateTimeUtc { get; set; }

    public int VehicleId { get; set; }

    public Vehicle Vehicle { get; set; } = null!;

    public int RouteId { get; set; }

    public Route Route { get; set; } = null!;

    public ICollection<RouteAddressDetails> RouteAddressDetails { get; set; } = null!;

    public ICollection<VehicleEnrollmentEmployee> Crew { get; set; } = null!;

    public ICollection<Ticket> Tickets { get; set; } = null!;

    public ICollection<Review> Reviews { get; set; } = null!;
}
