using AutobusApi.Domain.IEntities;
using NetTopologySuite.Geometries;

namespace AutobusApi.Infrastructure.Data.Entities;

public class Coordinates : ICoordinates
{
    private readonly Point point;

    public Coordinates(double latitude, double longitude)
    {
        point = new Point(latitude, longitude);
    }

    public double Latitude { get => point.X; }
    public double Longitude { get => point.Y; }
}
